Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.renderer
Class MinMaxCategoryRenderer

    java.lang.Object
      org.jfree.chart.renderer.AbstractRenderer
          org.jfree.chart.renderer.AbstractCategoryItemRenderer
              org.jfree.chart.renderer.MinMaxCategoryRenderer

All Implemented Interfaces:
  CategoryItemRenderer, java.lang.Cloneable, java.io.Serializable

public class MinMaxCategoryRenderer
extends AbstractCategoryItemRenderer

Renderer for drawing min max plot. This renderer draws all the series under the same category in the same x position using `objectIcon` and a line from the maximum value to the minimum value.

For use with the `CategoryPlot` class.

Author:
  Tomer Peretz
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.renderer.AbstractRenderer
`DEFAULT_OUTLINE_PAINT, DEFAULT_OUTLINE_STROKE, DEFAULT_PAINT, DEFAULT_SHAPE, DEFAULT_STROKE, DEFAULT_VALUE_LABEL_FONT, DEFAULT_VALUE_LABEL_PAINT, ZERO`

Constructor Summary
`MinMaxCategoryRenderer()` Default constructor.

Method Summary
`void` | `drawItem(java.awt.Graphics2D g2, CategoryItemRendererState state, java.awt.geom.Rectangle2D dataArea, CategoryPlot plot, CategoryAxis domainAxis, ValueAxis rangeAxis, CategoryDataset dataset, int row, int column)` Draw a single data item.
`java.awt.Paint` | `getGroupPaint()` Gets the paint of the line between the minimum value and the maximum value.
`java.awt.Stroke` | `getGroupStroke()` Gets the stroke of the line between the minimum value and the maximum value.
`javax.swing.Icon` | `getMaxIcone()` Gets the icon used to indicate the maximum value.
`javax.swing.Icon` | `getMinIcon()` Gets the icon used to indicate the minimum value.
`javax.swing.Icon` | `getObjectIcon()` Gets the icon used to indicate the values.
`boolean` | `isDrawLines()` Gets whether or not lines are drawn between category points.
`void` | `setDrawLines(boolean drawLines)` Sets whether or not lines are drawn between category points.
`void` | `setGroupPaint(java.awt.Paint groupPaint)` Sets the paint of the line between the minimum value and the maximum value.
`void` | `setGroupStroke(java.awt.Stroke groupStroke)` Sets the stroke of the line between the minimum value and the maximum value.
`void` | `setMaxIcon(javax.swing.Icon maxIcon)` Sets the icon used to indicate the maximum value.
`void` | `setMinIcon(javax.swing.Icon minIcon)` Sets the icon used to indicate the minimum value.
`void` | `setObjectIcon(javax.swing.Icon objectIcon)` Sets the icon used to indicate the values.

Methods inherited from class org.jfree.chart.renderer.AbstractCategoryItemRenderer
`clone, drawBackground, drawDomainGridline, drawItemLabel, drawOutline, drawRangeGridline, drawRangeMarker, equals, getBaseItemURLGenerator, getBaseLabelGenerator, getBaseToolTipGenerator, getColumnCount, getDomainAxis, getDrawingSupplier, getItemURLGenerator, getLabelGenerator, getLegendItem, getPlot, getRangeAxis, getRangeExtent, getRowCount, getSeriesItemURLGenerator, getSeriesLabelGenerator, getSeriesToolTipGenerator, getToolTipGenerator, getToolTipGenerator, hashCode, initialise, setBaseItemURLGenerator, setBaseLabelGenerator, setBaseToolTipGenerator, setItemURLGenerator, setLabelGenerator, setPlot, setSeriesItemURLGenerator, setSeriesLabelGenerator, setSeriesToolTipGenerator, setToolTipGenerator`

Methods inherited from class org.jfree.chart.renderer.AbstractRenderer
`addChangeListener, calculateLabelAnchorPoint, createTransformedShape, getBaseItemLabelAnchor, getBaseItemLabelAngle, getBaseItemLabelFont, getBaseItemLabelPaint, getBaseItemLabelRotationAnchor, getBaseItemLabelsVisible, getBaseItemLabelTextAnchor, getBaseNegativeItemLabelPosition, getBaseOutlinePaint, getBaseOutlineStroke, getBasePaint, getBasePositiveItemLabelPosition, getBaseShape, getBaseStroke, getItemLabelAnchor, getItemLabelAnchorOffset, getItemLabelAngle, getItemLabelFont, getItemLabelFont, getItemLabelPaint, getItemLabelPaint, getItemLabelRotationAnchor, getItemLabelTextAnchor, getItemOutlinePaint, getItemOutlineStroke, getItemPaint, getItemShape, getItemStroke, getNegativeItemLabelPosition, getNegativeItemLabelPosition, getPositiveItemLabelPosition, getPositiveItemLabelPosition, getSeriesItemLabelAnchor, getSeriesItemLabelAngle, getSeriesItemLabelFont, getSeriesItemLabelPaint, getSeriesItemLabelRotationAnchor, getSeriesItemLabelTextAnchor, getSeriesNegativeItemLabelPosition, getSeriesOutlinePaint, getSeriesOutlineStroke, getSeriesPaint, getSeriesPositiveItemLabelPosition, getSeriesShape, getSeriesStroke, isItemLabelVisible, isSeriesItemLabelsVisible, notifyListeners, removeChangeListener, setBaseAngle, setBaseItemLabelAnchor, setBaseItemLabelFont, setBaseItemLabelFont, setBaseItemLabelPaint, setBaseItemLabelPaint, setBaseItemLabelRotationAnchor, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseItemLabelTextAnchor, setBaseNegativeItemLabelPosition, setBaseNegativeItemLabelPosition, setBaseOutlinePaint, setBaseOutlinePaint, setBaseOutlineStroke, setBaseOutlineStroke, setBasePaint, setBasePaint, setBasePositiveItemLabelPosition, setBasePositiveItemLabelPosition, setBaseShape, setBaseShape, setBaseStroke, setBaseStroke, setItemLabelAnchor, setItemLabelAnchorOffset, setItemLabelAngle, setItemLabelFont, setItemLabelFont, setItemLabelPaint, setItemLabelPaint, setItemLabelRotationAnchor, setItemLabelsVisible, setItemLabelsVisible, setItemLabelsVisible, setItemLabelTextAnchor, setNegativeItemLabelPosition, setNegativeItemLabelPosition, setOutlinePaint, setOutlinePaint, setOutlineStroke, setOutlineStroke, setPaint, setPaint, setPositiveItemLabelPosition, setPositiveItemLabelPosition, setSeriesAngle, setSeriesItemLabelAnchor, setSeriesItemLabelFont, setSeriesItemLabelFont, setSeriesItemLabelPaint, setSeriesItemLabelPaint, setSeriesItemLabelRotationAnchor, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesItemLabelTextAnchor, setSeriesNegativeItemLabelPosition, setSeriesNegativeItemLabelPosition, setSeriesOutlinePaint, setSeriesOutlinePaint, setSeriesOutlineStroke, setSeriesOutlineStroke, setSeriesPaint, setSeriesPaint, setSeriesPositiveItemLabelPosition, setSeriesPositiveItemLabelPosition, setSeriesShape, setSeriesShape, setSeriesStroke, setSeriesStroke, setShape, setShape, setStroke, setStroke`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.renderer.CategoryItemRenderer
`addChangeListener, getBaseItemLabelAnchor, getBaseItemLabelFont, getBaseItemLabelPaint, getBaseItemLabelsVisible, getBaseItemLabelTextAnchor, getBaseNegativeItemLabelPosition, getBaseOutlinePaint, getBaseOutlineStroke, getBasePaint, getBasePositiveItemLabelPosition, getBaseShape, getBaseStroke, getItemLabelAnchor, getItemLabelFont, getItemLabelFont, getItemLabelPaint, getItemLabelPaint, getItemLabelTextAnchor, getItemOutlinePaint, getItemOutlineStroke, getItemPaint, getItemShape, getItemStroke, getNegativeItemLabelPosition, getNegativeItemLabelPosition, getPositiveItemLabelPosition, getPositiveItemLabelPosition, getSeriesItemLabelAnchor, getSeriesItemLabelFont, getSeriesItemLabelPaint, getSeriesItemLabelTextAnchor, getSeriesNegativeItemLabelPosition, getSeriesOutlinePaint, getSeriesOutlineStroke, getSeriesPaint, getSeriesPositiveItemLabelPosition, getSeriesShape, getSeriesStroke, isItemLabelVisible, isSeriesItemLabelsVisible, removeChangeListener, setBaseItemLabelAnchor, setBaseItemLabelFont, setBaseItemLabelPaint, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseItemLabelTextAnchor, setBaseNegativeItemLabelPosition, setBaseNegativeItemLabelPosition, setBaseOutlinePaint, setBaseOutlineStroke, setBasePaint, setBasePositiveItemLabelPosition, setBasePositiveItemLabelPosition, setBaseShape, setBaseStroke, setItemLabelAnchor, setItemLabelFont, setItemLabelPaint, setItemLabelsVisible, setItemLabelsVisible, setItemLabelsVisible, setItemLabelTextAnchor, setNegativeItemLabelPosition, setNegativeItemLabelPosition, setOutlinePaint, setOutlineStroke, setPaint, setPositiveItemLabelPosition, setPositiveItemLabelPosition, setSeriesItemLabelAnchor, setSeriesItemLabelFont, setSeriesItemLabelPaint, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesItemLabelTextAnchor, setSeriesNegativeItemLabelPosition, setSeriesNegativeItemLabelPosition, setSeriesOutlinePaint, setSeriesOutlineStroke, setSeriesPaint, setSeriesPositiveItemLabelPosition, setSeriesPositiveItemLabelPosition, setSeriesShape, setSeriesStroke, setShape, setStroke`

Constructor Detail

### MinMaxCategoryRenderer

    public MinMaxCategoryRenderer()

  Default constructor.

Method Detail

### drawItem

    public void drawItem(java.awt.Graphics2D g2,
                         CategoryItemRendererState state,
                         java.awt.geom.Rectangle2D dataArea,
                         CategoryPlot plot,
                         CategoryAxis domainAxis,
                         ValueAxis rangeAxis,
                         CategoryDataset dataset,
                         int row,
                         int column)

  Draw a single data item.

  Parameters:
    `g2` - the graphics device.
    `state` - the renderer state.
    `dataArea` - the area in which the data is drawn.
    `plot` - the plot.
    `domainAxis` - the domain axis.
    `rangeAxis` - the range axis.
    `dataset` - the dataset.
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).

### setDrawLines

    public void setDrawLines(boolean drawLines)

  Sets whether or not lines are drawn between category points.

  Parameters:
    `drawLines` - if true, then line will be drawn between sequenced categories.

### isDrawLines

    public boolean isDrawLines()

  Gets whether or not lines are drawn between category points.

  Returns:
    boolean true if line will be drawn between sequenced categories, otherwise false.

### setGroupPaint

    public void setGroupPaint(java.awt.Paint groupPaint)

  Sets the paint of the line between the minimum value and the maximum value.

  Parameters:
    `groupPaint` - the new paint.

### getGroupPaint

    public java.awt.Paint getGroupPaint()

  Gets the paint of the line between the minimum value and the maximum value.

  Returns:
    the paint.

### setGroupStroke

    public void setGroupStroke(java.awt.Stroke groupStroke)

  Sets the stroke of the line between the minimum value and the maximum value.

  Parameters:
    `groupStroke` - The new stroke

### getGroupStroke

    public java.awt.Stroke getGroupStroke()

  Gets the stroke of the line between the minimum value and the maximum value.

  Returns:
    Stroke The current stroke.

### setObjectIcon

    public void setObjectIcon(javax.swing.Icon objectIcon)

  Sets the icon used to indicate the values.

  Parameters:
    `objectIcon` - the icon.

### getObjectIcon

    public javax.swing.Icon getObjectIcon()

  Gets the icon used to indicate the values.

  Returns:
    the icon.

### setMaxIcon

    public void setMaxIcon(javax.swing.Icon maxIcon)

  Sets the icon used to indicate the maximum value.

  Parameters:
    `maxIcon` - the max icon.

### getMaxIcone

    public javax.swing.Icon getMaxIcone()

  Gets the icon used to indicate the maximum value.

  Returns:
    the icon

### setMinIcon

    public void setMinIcon(javax.swing.Icon minIcon)

  Sets the icon used to indicate the minimum value.

  Parameters:
    `minIcon` - the min icon.

### getMinIcon

    public javax.swing.Icon getMinIcon()

  Gets the icon used to indicate the minimum value.

  Returns:
    Icon

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD